using System.Runtime.InteropServices;

namespace Decal.Interop.Input;

[TypeLibType(TypeLibTypeFlags.FHidden)]
[ClassInterface(ClassInterfaceType.None)]
public sealed class IWinMsgHookEvents_SinkHelper : IWinMsgHookEvents
{
	public IWinMsgHookEvents_MessageEventHandler m_MessageDelegate;

	public int m_dwCookie;

	public void Message(WinMsgHook P_0, WndMsg P_1)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_MessageDelegate != null)
		{
			m_MessageDelegate(P_0, P_1);
		}
	}

	internal IWinMsgHookEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_MessageDelegate = null;
	}
}
